Bug 451755 - Grub hangs if only serial console set
Grub hangs if only serial console set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 01:01 EDT by David N. Lombard
Modified: 2009-07-14 12:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David N. Lombard 2008-06-17 01:01:25 EDT
Description of problem:
Grub will hang if only a serial terminal is set:  'terminal serial'

Grub will only proceed if and only if key is struck at console with this set:
'terminal serial console'

Grub will not timeout when serial terminal is set: (either of the above two)

Version-Release number of selected component (if applicable):
grub-0.97-33.fc9

How reproducible:
Consistently

How to reproduce:
1. Install via serial console
2. Attempt to boot without a keyboard (i.e., headless)

Actual results:
Hang after displaying "Strike any key to continue" on console

Expected results:
1) Display "Strike any key to continue" on serial
2a) Interactive session if key struck at serial line
*or*
2b) Timeout and boot if no activity
Comment 1 Jeremy Katz 2009-05-04 15:04:53 EDT
Can you attach your grub.conf?  And we tweaked some of the behavior here in Fedora 10, so it may well be fixed now
Comment 2 Bug Zapper 2009-06-09 21:39:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:10:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.